/* css reset*/
body,header,nav,nav ul, nav li, main, h1, p, footer, img, script, ul, li{
	margin:0;
	padding:0;
	border:0;
}
.desktopheader{
	display:none;
}
.tab-desk, #menu-links{
	display:none;
}
img{
	max-width:100%;
	display:block;
}
/* Mobile styles*/

body{
	background-color: #000;
	color:#fff;
}
header{
	top: 0;
	height: 50%;
}

#mobileheader img{
	max-width:90%;
	padding-top:8%;
	padding-left:8%;
}

/* mobile styles for hamburger*/
.mobile-nav a{
	
		color: #fff;
		text-align: center;
		font-size: 2em;
		text-decoration:none;
		padding:2%;
		display:block;
		border-radius:5em;
		margin: 0 auto;
		margin-bottom:2%;
		background-color:#333333;
}

@keyframes fadeInUp{
  0%{
    opacity: 0;
    -webkit-transform: translateY(-200px);
  }
  100%{
    opacity: 0.8;
    -webkit-transform: translateY(0);
  }
}

@keyframes fadeDownOut{
  0%{
	display:block;
    opacity: 0.8;
    -webkit-transform: translateY(0);
  }
  100%{
	display:none;
    opacity: 0;
    -webkit-transform: translateY(-200px);
  }
}

#menu-links{
	padding-top:20%;
	opacity:0;
	animation: fadeInUp 500ms forwards;
}

	
#menu-links.secondClass{
	padding-top:20%;
	opacity:.8;
	animation: fadeDownOut 500ms forwards;
}
	

.mobile-nav a.menu-icon {
	display:block;
	position:absolute;
	right:0;
	top:0;
	cursor: pointer;
}

a#menu-iconX {
	display:none;
	position:absolute;
	right:.4%;
	top:.5%;
	cursor:pointer;
}
/*Exiting nav mobile styles*/
.hero{
	display:none;
}


/* main mobile styles*/
main{
	font-size:1.5em;
	color:#fff;
	border: 1px #fff;
}
/*main styles for mobile index*/

#content h1{
	text-align: center;
	color:#fff;
	padding-bottom:1.5em;
}

#content p{
	text-align: center;
	color:#fff;
}
#content{
	padding-bottom: 1.5em;
}

/*main styles for mobile about*/
#about-main main {
	padding: 2em;
}

#about-main main p{
	text-align:center;
	font-size:1.5em;
}
#about-main main h1{
	text-align:center;
}

#about-main main h3{
	text-align:center;
	font-size:1.7em;
}
/* Main styles for Mobile contact*/

main #contact h4{
	text-align:center;
}

main #contact .mailto a{
	text-decoration:none;
	font-size:1em;
	display:block;
	text-align:center;
}
main #contact .callm a{
	text-decoration:none;
	display:block;
	margin:auto;
}
main #contact .callmtext{
	display: block;
	font-size: 2em;
	color:#fff;
	background-color:#333333;
	padding: 2%;
	margin:auto;
	width: 70%;
	text-align: center;
	border-radius: 5px;
}
main #contact h5{
	padding:1.2em;
	text-align:center;
	font-size:1.2em;
}
.map{
	display:block;
	margin:auto;
	max-width:90%;
	border:2px solid #363636;
	border-radius:2em;
}
/* Skills styles for mobile*/
#skills-main main{
	text-align:
	center;
	padding:2em;
}
#skills-main main p {
	margin-bottom:2em;
}
#skills-main main .coding a{
	text-decoration:none;
	color:#999999;
	text-align: center;
}
.coding {
	float: center;
	text-align:center;
}
/* programming styles for mobile*/
#programming-main main{
	text-align:center;
	padding:2em;
}

#programming-main main p{
	margin-bottom:1.4em;
}
#programming-main main ul{
	list-style-type:none;
}
#programming-main main .title, #programming-main main .js{
	font-size:1.3em;
}
#button{
	margin-top:.8em;
}
#button a{
	padding: 0.1em 0.75em;
	text-decoration:none;
	color:#fff;
	font-size:1.5em;
	background-color:#363636;
	border-radius:2em;
}
#programming-main main a{
	text-decoration:none;
	color:#999999;
}
/* footer mobile styles*/
footer{
	text-align:center;
	color:#fff;
	background-color:#333333;
}
.link a img{
	max-width:25%;
	padding-left:1em;
}
.footerimg {
	max-width:300px;
	margin:auto;
	justify-content:center;
}

/* Styles for tablet viewport*/
@media screen and (min-width:630px), print{
/*final styles for tablet*/
.mobile-nav, #menu-links, .menu-icon{
	display:none;
}
.tab-desk{
	display:inline-block;
}
#mobileheader{
	display:block;
	margin:auto;
	width:50%;
}
#Hero{
	display:none;
}
.tab-desk{
	margin:auto;
	display:block;
	text-align:center;
}
nav ul {
    margin:0;
    padding:0;
    list-style-type:none;
}
nav li {
    display:inline-block;
}
	
nav li a{
	padding: 0.1em 0.75em;
	text-decoration:none;
	color:#fff;
	font-size:2em;
	background-color:#363636;
	border-radius:2em;

}
/* Tablet styles for index main*/
.indexmain{
	padding:2em;
}
/*Tablet styles for about main*/
#about-main main img{
	max-width:65%;
	border-radius:2em;
	margin:auto;
}
/*Style rules for tablet contact*/
#contact{
	margin:2em;
}
#contact .mailto a{
	display:block;
	text-align:center;
}
.callm{
	display:none;
}
.map{
	display:block;
	margin:auto;
}
/*Styles for skills*/
#skills-main main{
	padding:2em;
}
/*footer styles for tablet viewport*/
footer{
	margin-top:2em;
}
.link a img{
	max-width:15%;
	margin-left:2em;
}
.footerimg {
	margin:auto;
	max-width:350px;
}
}
/*desktop viewport styles*/
@media screen and (min-width:1200px), print{
/* Desktop viewport main styles*/
#mobileheader{
	display:none;
}
.desktopheader{
	display:block;
	width:350px;
	float:left;
}
nav ul{
	margin-top:2em;
	float:right;
}
nav li{
	font-size:1.2em;
}
nav li:last-child {
	margin-right:2em;
}
nav li a:hover{
	transform:Scale(1.1);
	background-color:#fff;
	color:#000;
	transform:skew(1.1);
}
#Hero{
	display:block;
}
#Hero img{
		width:100%;
}
/*Index styles for desktop viewport*/
.indexmain{
	padding:2em;
}
#content{
	text-align:center;
}
#content p{ 
	font-size:1.5em;
}
/*About styles for desktop viewport*/
#about-main main{
	padding-top:12.5em;
}
#about-main main img{
	display:block;
	width:600px;
}
/*Contact styles for desktop viewport*/
#contact h4{
	font-size:1.5em;
}
/*Skills Styles for Desktop viewport*/
article{
	border: solid #fff 0;
}
#skills-main main{
	clear:left;
	background-color:#000;
	margin-bottom:30%;
}
.Costemer, .coding, .calming{
	width:29%;
	float: left;
	display: grid;
	grid-template-columns: auto auto auto;
	grid-gap:20px;
	margin-top:2%;
	margin-bottom:0;
	margin-left:2%;
	margin-right:2%;
	align-content: center;
}
.coding article a h1{
	color:#fff;
}
.coding article a h1:hover{
	color:#000;
	background-color:#fff;
	transform:scale(1.1);
	border-radius:2em;
}

/*Programming page viewport for desktop styles*/
#programming-main{
	padding-top:15em;
}

#programming-main main a{
	color:#fff;
}
#programming-main main li a:hover{
	color:#000;
	background-color:#fff;
	transform:scale(1.1);

}
/*Desktop viewport footer styles*/
.ling a img{
	max-width:20%;
	margin-left:2em;
}
.footerimg{
	margin:auto;
	justify-content:center;
	max-width:350px;

}


